org.apache.lucene.facet.params

## Class PerDimensionOrdinalPolicy

- java.lang.Object
- - org.apache.lucene.facet.params.CategoryListParams
  - - org.apache.lucene.facet.params.PerDimensionOrdinalPolicy

    public class PerDimensionOrdinalPolicy
    extends CategoryListParams

A `CategoryListParams` which allow controlling the `CategoryListParams.OrdinalPolicy` used for each dimension. The dimension is specified as the first component in `CategoryPath.components`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.facet.params.CategoryListParams

`CategoryListParams.OrdinalPolicy`

### Field Summary

### Fields inherited from class org.apache.lucene.facet.params.CategoryListParams

`DEFAULT_FIELD, DEFAULT_ORDINAL_POLICY, field`

### Constructor Summary

Constructors
Constructor and Description
`PerDimensionOrdinalPolicy(Map<String,CategoryListParams.OrdinalPolicy> policies)`
`PerDimensionOrdinalPolicy(Map<String,CategoryListParams.OrdinalPolicy> policies, CategoryListParams.OrdinalPolicy defaultOP)`

### Method Summary

Methods
`CategoryListParams.OrdinalPolicy` `getOrdinalPolicy(String dimension)` Returns the `CategoryListParams.OrdinalPolicy` to use for the given dimension.
`String` `toString()`

### Methods inherited from class org.apache.lucene.facet.params.CategoryListParams

`createCategoryListIterator, createEncoder, equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PerDimensionOrdinalPolicy

    public PerDimensionOrdinalPolicy(Map<String,CategoryListParams.OrdinalPolicy> policies)

#### PerDimensionOrdinalPolicy

    public PerDimensionOrdinalPolicy(Map<String,CategoryListParams.OrdinalPolicy> policies,
                             CategoryListParams.OrdinalPolicy defaultOP)

### Method Detail

#### getOrdinalPolicy

    public CategoryListParams.OrdinalPolicy getOrdinalPolicy(String dimension)

Description copied from class: `CategoryListParams`
Returns the `CategoryListParams.OrdinalPolicy` to use for the given dimension. This `CategoryListParams` always returns `CategoryListParams.DEFAULT_ORDINAL_POLICY` for all dimensions.

Overrides:
  `getOrdinalPolicy` in class `CategoryListParams`

#### toString

    public String toString()

Overrides:
  `toString` in class `CategoryListParams`